# Fetch public account profile info by handle

`GET https://api.strike.me/v1/accounts/handle/{handle}/profile`

Source: https://docs.strike.me/api/fetch-public-account-profile-info-by-handle/

---

Required scopes:

- partner.account.profile.read

## Path parameters

- `handle` (string, required): Handle attached to the account to fetch.

## Responses

### 200 OK

`application/json`

- `id` (uuid, required): Account ID.
- `handle` (string, required): Account handle.
- `avatarUrl` (string): Account avatar URL.
- `description` (string): Account description.
- `canReceive` (boolean, required): Account can receive funds.
- `currencies` (object[], required): Currencies supported for the account.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `isDefaultCurrency` (boolean, required): Signals the default currency for the account.
  - `isAvailable` (boolean, required): Signals if the currency is the available for the account.
  - `isInvoiceable` (boolean, required): Signals if the account can issue invoices in this currency.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
